org.eclipse.eef.properties.ui.api

## Class EEFTabContents

- java.lang.Object
- - org.eclipse.eef.properties.ui.api.EEFTabContents

    public class EEFTabContents
    extends java.lang.Object

A property tab is composed by one or more property sections and is used to categorize sections.

Since:
  1.6.0

### Constructor Summary

Constructors
Constructor and Description
`EEFTabContents(java.util.List<IEEFSection> sections)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `aboutToBeHidden()` Sends the lifecycle event to the page's sections.
`void` `aboutToBeShown()` Sends the lifecycle event to the page's sections.
`boolean` `controlsHaveBeenCreated()` Indicates if the controls of the tab have been created.
`void` `createControls(org.eclipse.swt.widgets.Composite parent, EEFTabbedPropertySheetPage page)` Creates the page's sections controls.
`void` `dispose()` Dispose of page's sections controls.
`IEEFSection` `getSectionAtIndex(int i)` Retrieve the section at a numbered index.
`int` `getSectionIndex(IEEFSection section)` Retrieve a numbered index for the section.
`java.util.List<IEEFSection>` `getSections()` Return the sections.
`void` `refresh()` If controls have been created, refresh all sections on the page.
`void` `setInput(org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection selection)` Sets page's sections input objects.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFTabContents

    public EEFTabContents(java.util.List<IEEFSection> sections)

The constructor.

Parameters:
  `sections` - The section to use in the tab

### Method Detail

#### getSections

    public java.util.List<IEEFSection> getSections()

Return the sections.

Returns:
  the sections

#### getSectionIndex

    public int getSectionIndex(IEEFSection section)

Retrieve a numbered index for the section.

Parameters:
  `section` - the section.
Returns:
  the section index.

#### getSectionAtIndex

    public IEEFSection getSectionAtIndex(int i)

Retrieve the section at a numbered index.

Parameters:
  `i` - a numbered index.
Returns:
  the section.

#### createControls

    public void createControls(org.eclipse.swt.widgets.Composite parent,
                               EEFTabbedPropertySheetPage page)

Creates the page's sections controls.

Parameters:
  `parent` - The parent composite
  `page` - The page

#### setInput

    public void setInput(org.eclipse.ui.IWorkbenchPart part,
                         org.eclipse.jface.viewers.ISelection selection)

Sets page's sections input objects.

Parameters:
  `part` - The workbench part
  `selection` - The current selection

#### refresh

    public void refresh()

If controls have been created, refresh all sections on the page.

#### aboutToBeShown

    public void aboutToBeShown()

Sends the lifecycle event to the page's sections.

#### aboutToBeHidden

    public void aboutToBeHidden()

Sends the lifecycle event to the page's sections.

#### dispose

    public void dispose()

Dispose of page's sections controls.

#### controlsHaveBeenCreated

    public boolean controlsHaveBeenCreated()

Indicates if the controls of the tab have been created.

Returns:
  `true` if the controls have been created, `false` otherwise